Buy SMS/WhatsApp credit blocks

posthttps://api.expiryedge.com/v1/addonsBuySmsCredits
admin60/minJede Methode
Anfrage
curl -X POST 'https://api.expiryedge.com/v1/addonsBuySmsCredits' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "blocks": 2,
  "return_url": "/dashboard/addons"
}'
Antwort
{
  "url": "https://checkout.stripe.com/c/pay/cs_live_j9K0l1M2",
  "sessionId": "cs_live_j9K0l1M2"
}

One-time Stripe Checkout for 1-200 credit blocks; credits never expire. Works with or without an add-ons package.

Body-Parameter

application/json
  • blocksintegererforderlich
    min: 1 · max: 200
  • return_urlstring
    App-relative path (must start with /).

Rückgabe

201
Checkout session created; redirect to url.
  • urlstringerforderlich
    format: uri
  • sessionIdstringerforderlich

Fehler

400
The request is missing required fields or contains invalid values.
401
Missing, expired or invalid bearer token.
403
Authenticated, but your role or organization does not allow this action.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.
500
Unexpected server error. Retry later; quote requestId to support.